################################################################################
# Feuerfuchs Addons Installer -- Counter
#   file: Source\Lib\Counter.nsh
#   desc: Providing a Never repeat number in the pre-compile time.
#   author: hobbyscripter<hobbyscripter@gmail.com>
#   version: 2.0.1.0
#   copyright: abandoned!
################################################################################



################################################################################
# Macros
################################################################################
!macro DECLARE_COUNTER COUNTER_NAME
    !ifdef "${COUNTER_NAME}"
        !undef "${COUNTER_NAME}"
    !endif
    !define "${COUNTER_NAME}" 0
!macroend
!define DECLARE_COUNTER "!insertmacro DECLARE_COUNTER"

!macro COUNTER_FORWARD COUNTER_NAME
    !define /math "__${COUNTER_NAME}" ${${COUNTER_NAME}} + 1
    !undef "${COUNTER_NAME}"
    !define "${COUNTER_NAME}" ${__${COUNTER_NAME}}
    !undef "__${COUNTER_NAME}"
!macroend
!define COUNTER_FORWARD "!insertmacro COUNTER_FORWARD"


