################################################################################
# Feuerfuchs Addons Installer -- MessageBox Lib
#   file: Source\Lib\MessageBoxLib.nsh
#   desc: Deal with MessageBox Return Value
#   author: hobbyscripter<hobbyscripter@gmail.com>
#   version: 2.0.1.0
#   copyright: abandoned!
################################################################################



################################################################################
# Macros
################################################################################

# ---------------
# MessageBox YesNo
# ---------------
!macro MBYesNoValue OUTPUT MSG
    !define LBL_IDYES "lbl_IDYES_${__LINE__}"
    !define LBL_IDNO "lbl_IDNO_${__LINE__}"
    !define LBL_ENDMSG "lbl_EndMsg_${__LINE__}"

    MessageBox MB_YESNO|MB_ICONQUESTION "${MSG}" IDYES ${LBL_IDYES} IDNO ${LBL_IDNO}
        ${LBL_IDYES}:
            StrCpy ${OUTPUT} "yes"
            Goto ${LBL_ENDMSG}
        ${LBL_IDNO}:
            StrCpy ${OUTPUT} "no"
            Goto ${LBL_ENDMSG}
    ${LBL_ENDMSG}:

    !undef LBL_IDYES
    !undef LBL_IDNO
    !undef LBL_ENDMSG
!macroend
!define MBYesNoValue "!insertmacro MBYesNoValue"



# ---------------
# MessageBox OkCancel
# ---------------
!macro MBOkCancelValue OUTPUT MSG
    !define LBL_IDOK "lbl_IDOK_${__LINE__}"
    !define LBL_IDCANCEL "lbl_IDCANCEL_${__LINE__}"
    !define LBL_ENDMSG "lbl_EndMsg_${__LINE__}"

    MessageBox MB_OKCANCEL|MB_ICONQUESTION "${MSG}" IDOK ${LBL_IDOK} IDCANCEL ${LBL_IDCANCEL}
        ${LBL_IDOK}:
            StrCpy ${OUTPUT} "ok"
            Goto ${LBL_ENDMSG}
        ${LBL_IDCANCEL}:
            StrCpy ${OUTPUT} "cancel"
            Goto ${LBL_ENDMSG}
    ${LBL_ENDMSG}:

    !undef LBL_IDOK
    !undef LBL_IDCANCEL
    !undef LBL_ENDMSG
!macroend
!define MBOkCancelValue "!insertmacro MBOkCancelValue"
