################################################################################
# Feuerfuchs Addons Installer
#   file: WidgetsClass\ListBox.nsh
#   desc: Providing Several Way to Control ListBox Component.
#   author: hobbyscripter<hobbyscripter@gmail.com>
#   version: 2.0.1.0
#   copyright: abandoned!
################################################################################



################################################################################
# Macros
################################################################################

# ---------------
# Add String To ListBox
# ---------------
!macro LB::AddString LBID ADD_STRING
    SendMessage ${LBID} ${LB_ADDSTRING} 1 "STR:${ADD_STRING}"
!macroend
!define LB::AddString "!insertmacro LB::AddString"


# ---------------
# Delete String From ListBox
# ---------------
!macro LB::DeleteString LBID DEL_STRING
    Push $R0
    SendMessage ${LBID} ${LB_FINDSTRINGEXACT} 1 "STR:${DEL_STRING}" $R0
    SendMessage ${LBID} ${LB_DELETESTRING} $R0 1
    Pop $R0
!macroend
!define LB::DeleteString "!insertmacro LB::DeleteString"


# ---------------
# Clear ListBox
# ---------------
!macro LB::Clear LBID
    SendMessage ${LBID} ${LB_RESETCONTENT} 0 0
!macroend
!define LB::Clear "!insertmacro LB::Clear"


# ---------------
# Select ListBox Item
# ---------------
!macro LB::SelectItem LBID ITEM_ID
    SendMessage ${LBID} ${LB_SETCURSEL} ${ITEM_ID} 0
!macroend
!define LB::SelectItem "!insertmacro LB::SelectItem"


# ---------------
# Get Selected ListBox Item Index
# ---------------
!macro LB::GetSelectItem LBID RETVAL
    SendMessage ${LBID} ${LB_GETCURSEL} 0 0 ${RETVAL}
!macroend
!define LB::GetSelectItem "!insertmacro LB::GetSelectItem"




