################################################################################
# Feuerfuchs Addons Installer
#   file: UserConfig.nsh
#   desc: Provided for user to make some configuration.
#   author: hobbyscripter<hobbyscripter@gmail.com>
#   version: 2.0.1.0
#   copyright: abandoned!
################################################################################





################################################################################
# Basic Information
################################################################################
; Name for Your Installer
!define NAME "YourInstaller"

; Version of Your Installer (in format of x.x.x.x, all of x represents a number)
!define VERSION "0.0.0.0"

; Name for output file
!define OUTPUT_FILEPATH "YourOutput.exe"

; Description for Your Installer
!define DESCRIPTION "Your Description for Your Installer"

; Comment for Your Installer
!define COMMENT "Your Comment for Your Installer"

; Branding Text of Your Installer
!define BRANDING_TEXT "YourBrandText"





################################################################################
# Author and License
################################################################################
; Author's Name
!define AUTHOR_NAME "YourName"


; Copyright, leaves empty if NONE
!define COPYRIGHT_NOTE "The Copyright Notice of Your Installer"

; Trademark, leaves empty if NONE
!define TRADEMARKS "Mozilla(R) Firefox(R) is the trademark of Mozilla(R) Foundation."



; License for Installer, leave empty for NONE
!define LICENSE_FOR_INSTALLER "AddonsPack\License\license_for_installer.txt"

; License for Addons, leave empty for NONE
!define LICENSE_FOR_ADDONS "AddonsPack\License\license_addons.txt"





################################################################################
# Installer Details
################################################################################

# ---------------
# User Interface
# ---------------
; Icon, leaves blank if you are not going to custom this option
!define ICON_PATH "AddonsPack\UI\YourIcon.ico"

; Left Image, leaves blank if you are not going to custom this option
!define LEFT_IMAGE_PATH "AddonsPack\UI\YourLeftImage.bmp"

; Welcome Words
;   uses `\r\n' to make a line break
;   leaves blank if you are not going to custom this option
!define WELCOME_WORDS "Your Welcome Words!\r\nYour Welcome Words!\r\n"

; Show Select Language Dialog [true|false*]
!define SHOW_SELECT_LANG_DIALOG "false"





################################################################################
# Target-Application Configuration
################################################################################

; Target Application Name
!define APP_NAME "Mozilla Firefox"

; Executable Name of Your Target Application
!define APP_EXE_NAME "firefox.exe"

; Profile INI Path
!define PROFILES_INI_PATH "$APPDATA\Mozilla\Firefox\profiles.ini"

; Profile Manager Directory
!define PROFILES_MANAGER_DIR "$APPDATA\Mozilla\Firefox"

; Default Start Menu Directory For TargetApp
!define TARGETAPP_SHORTCUT_DIR "$SMPROGRAMS\Mozilla Firefox"

; Start Menu Profile Manager Path ; $(ProfileManager) for the Locale for `Profile Manager'
!define PROFILE_MANAGER_SHORTCUT "${TARGETAPP_SHORTCUT_DIR}\Mozilla Firefox ($(ProfileManager)).lnk"


; Installed TargetApp Version Key Path
!define DETECT_INSTALL_APP_VERSION_KEY 'HKLM "SOFTWARE\Mozilla\Mozilla Firefox" "CurrentVersion"'

; Installed TargetApp Path Key Path
!define DETECT_INSTALL_APP_PATH_KEY 'HKLM "SOFTWARE\Mozilla\Mozilla Firefox\${FX_VER}\Main" "PathToExe"'





################################################################################
# Version Information
################################################################################
; Note: This section usually doesn't have to be modified!

; Product Name
!define VI_PRODUCT_NAME "${NAME}"

; File(Installer) Comments
!define VI_COMMENTS "${COMMENT}"

; Company Name for those who hold the copyright, usually Author
!define VI_COMPANY_NAME "${AUTHOR_NAME}"

; Copyright Note
!define VI_LEGAL_COPYRIGHT "${COPYRIGHT_NOTE}"

; File(Installer) Description
!define VI_FILE_DESC "${DESCRIPTION}"

; File(Installer) Version
!define VI_FILE_VERSION "${VERSION}"
!define VI_PRODUCT_VERSION "${VERSION}"

; Trademarks
!define VI_LEGAL_TRADEMARKS "${TRADEMARKS}"




