################################################################################
# Feuerfuchs Addons Installer -- Extension Install Hint Page
#   file: Source\PageClass\ExtensionInstallHintPage.nsh
#   desc: `Extension Install Hint' Init, Callback Functions.
#   author: hobbyscripter<hobbyscripter@gmail.com>
#   version: 2.0.1.0
#   copyright: abandoned!
################################################################################



################################################################################
# Variables
################################################################################
;Var "_ExtensionInstallHintGroupBoxID_"
Var "_ExtensionInstallHintLabelID_"
;Var "_ExtensionInstallHintImageID_"


################################################################################
# Function
################################################################################

# ---------------
# Extension Install Hint Page Init (for Install TargetApp User)
# ---------------
!if "${PROVIDE_APP_INSTALLER}" == "true"
Function ExtensionInstallHintPageInit1
    ${Unless} ${SectionIsSelectedAdv} "Section_InstallApp"
        Abort
    ${EndIf}

    ; Handle the Locale
    !insertmacro MUI_INSTALLOPTIONS_WRITE "ExtensionInstallHintPage.ini" "Field 1" "Text" "$(ExtensionInstallHint)"
    !insertmacro MUI_INSTALLOPTIONS_WRITE "ExtensionInstallHintPage.ini" "Field 2" "Text" "$(ExtensionInstallHintContent)"

    ; Handle the Image
    File "/oname=$PLUGINSDIR\ExtensionInstall.bmp" "Source\Resources\Image\ExtensionInstall.bmp"
    !insertmacro MUI_INSTALLOPTIONS_WRITE "ExtensionInstallHintPage.ini" "Field 3" "Text" "$PLUGINSDIR\ExtensionInstall.bmp"

    ; Initialize the Form
    !insertmacro MUI_HEADER_TEXT "$(ExtensionInstallHint)" ""
    !insertmacro MUI_INSTALLOPTIONS_INITDIALOG "ExtensionInstallHintPage.ini"
    Pop $_HWND_

    ; Get the Components' ID
;    !insertmacro MUI_INSTALLOPTIONS_READ $_ExtensionInstallHintGroupBoxID_ "ExtensionInstallHintPage.ini" "Field 1" "HWND"
    !insertmacro MUI_INSTALLOPTIONS_READ $_ExtensionInstallHintLabelID_ "ExtensionInstallHintPage.ini" "Field 2" "HWND"
;    !insertmacro MUI_INSTALLOPTIONS_READ $_ExtensionInstallHintImageID_ "ExtensionInstallHintPage.ini" "Field 3" "HWND"

    ; Set Label to Bold
    ${GC::SetBold} $_ExtensionInstallHintLabelID_

    ; Show This Page Now
    !insertmacro MUI_INSTALLOPTIONS_SHOW
FunctionEnd
!endif

# ---------------
# Extension Install Hint Page Init (for Other User)
# ---------------
Function ExtensionInstallHintPageInit2
    !if "${PROVIDE_APP_INSTALLER}" == "true"
    ${If} ${SectionIsSelectedAdv} "Section_InstallApp"
        Abort
    ${EndIf}
    !endif

    ; Handle the Locale
    !insertmacro MUI_INSTALLOPTIONS_WRITE "ExtensionInstallHintPage.ini" "Field 1" "Text" "$(ExtensionInstallHint)"
    !insertmacro MUI_INSTALLOPTIONS_WRITE "ExtensionInstallHintPage.ini" "Field 2" "Text" "$(ExtensionInstallHintContent)"

    ; Handle the Image
    File "/oname=$PLUGINSDIR\ExtensionInstall.bmp" "Source\Resources\Image\ExtensionInstall.bmp"
    !insertmacro MUI_INSTALLOPTIONS_WRITE "ExtensionInstallHintPage.ini" "Field 3" "Text" "$PLUGINSDIR\ExtensionInstall.bmp"

    ; Initialize the Form
    !insertmacro MUI_HEADER_TEXT "$(ExtensionInstallHint)" ""
    !insertmacro MUI_INSTALLOPTIONS_INITDIALOG "ExtensionInstallHintPage.ini"
    Pop $_HWND_

    ; Get the Components' ID
;    !insertmacro MUI_INSTALLOPTIONS_READ $_ExtensionInstallHintGroupBoxID_ "ExtensionInstallHintPage.ini" "Field 1" "HWND"
    !insertmacro MUI_INSTALLOPTIONS_READ $_ExtensionInstallHintLabelID_ "ExtensionInstallHintPage.ini" "Field 2" "HWND"
;    !insertmacro MUI_INSTALLOPTIONS_READ $_ExtensionInstallHintImageID_ "ExtensionInstallHintPage.ini" "Field 3" "HWND"

    ; Set Label to Bold
    ${GC::SetBold} $_ExtensionInstallHintLabelID_

    ; Show This Page Now
    !insertmacro MUI_INSTALLOPTIONS_SHOW
FunctionEnd



